The "Get Transaction by ID" API allows to retrieve information for a specific transaction using its unique identifier. Use this endpoint to fetch details for a single transaction based on the provided transaction ID.

http
GET https://services.leadconnectorhq.com/payments/transactions/{transactionId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
transactionIdstringYes61dd0feac077f72010f78804ID of the transaction that needs to be returned

Query parameters

NameTypeRequiredExampleDescription
locationIdstringNo3SwdhCu3svxI8AKsPJt6LocationId is the id of the account.
altIdstringYes3SwdhCu3svxI8AKsPJt6AltId is the unique identifier e.g: account id.
altTypestringYesaccountAltType is the type of identifier.

Responses

200 - Successful response
  • _id (string, required): The unique identifier for the transaction. Example: 61dd0feac077f72010f78804

  • altType (string, required): AltType is the type of identifier. Example: account

  • altId (string, required): AltId is the unique identifier eg: account id. Example: 3SwdhCu3svxI8AKsPJt6

  • contactId (string): Contact id corresponding to the transaction. Example: XPLSw2SVagl12LMDeTmQ

  • contactSnapshot (object): Contact details of the transaction. Example: { last_name: "Mcclain", type: "lead", first_name_lower_case: "rogan", email: "anish+11@leadwaycrm.com", last_name_lower_case: "mcclain", location_id: "o6241QsiRwUIJHyjuhos", company_name: "Jordan and Cox Trading"}

  • currency (string): Currency in which transaction was made. Example: USD

  • amount (number): Transaction value. Example: 100

  • status (object): Transaction status. Example: succeeded

  • liveMode (boolean): Transaction is in live / test mode. Example: false

  • createdAt (string, required): The creation timestamp of the transaction. Example: 2023-11-20T10:23:36.515Z

  • updatedAt (string, required): The last update timestamp of the transaction. Example: 2024-01-23T09:57:04.846Z

  • entityType (string): Entity type of transaction (eg: order). Example: order

  • entityId (string): Entity id for the transaction. e.g: order id Example: 61dd0fe9c077f73e67f78803

  • entitySource (object): Entity source details for the transaction. Example: { type: "funnel", id: "BDBMEghdIUaqMPEsK349", subType: "two_step_order_form", name: "new funnel" }

  • chargeId (string): Charge id for transaction. Example: in_1KGcXDCScnf89tZohCsmImwE

  • chargeSnapshot (object): Charge snapshot of transaction. Example: { id: "in_1KGcXDCScnf89tZohCsmImwE", object: "invoice", account_country: "US", account_name: "GHL-Testing" }

  • invoiceId (string): Invoice id for the transaction. Example: in_1KGcXDCScnf89tZohCsmImwE

  • subscriptionId (string): Subscription id for transaction. Example: sub_1KGcXDCScnf89tZoVkoEMCEL

  • paymentProvider (object): Payment provider details of the transaction. Example: { type: "stripe", connectedAccount: { _id: "612ca676b484b241fef9d962", accountId: "acct_1Ihw53CScnf89tZo" } }

  • ipAddress (string): Ip address from where transaction was initiated. Example: 107.178.194.224

  • meta (object): Meta details of the transaction. Example: { stepId: "af7c731e-e36f-4152-bd1a-3f69a31d6d6d", pageId: "A8ltotc2jZxurJba4e3Y", pageUrl: "/v2/preview/A8ltotc2jZxurJba4e3Y" }

  • markAsTest (boolean): Is test transaction. Example: false

  • isParent (boolean): Is parent transaction. Example: false

  • amountRefunded (number): Transaction amount refunded. Example: 10

  • receiptId (string): Receipt id for transaction. Example: 6492fbea489bc07892c6defb

  • qboSynced (boolean): Is transaction qbo synced. Example: false

  • qboResponse (object): Qbo details of the transaction. Example: { domain: "QBO", sparse: false, Id: "180", SyncToken: "0", TotalAmt: 25 }

  • traceId (string): Trace id of the transaction. Example: d3b16a92-a8ed-4e6b-8467-844750f78ed5

  • mergedFromContactId (string): ID of the contact that was merged from. Example: XPLSw2SVagl12LMDeTmQ

  • createdBy (string): User ID who created the transaction. Example: user123

json
{
  "_id": "61dd0feac077f72010f78804",
  "altType": "account",
  "altId": "3SwdhCu3svxI8AKsPJt6",
  "contactId": "XPLSw2SVagl12LMDeTmQ",
  "contactSnapshot": "{ last_name: \"Mcclain\", type: \"lead\", first_name_lower_case: \"rogan\", email: \"anish+11@leadwaycrm.com\", last_name_lower_case: \"mcclain\", location_id: \"o6241QsiRwUIJHyjuhos\", company_name: \"Jordan and Cox Trading\"}",
  "currency": "USD",
  "amount": "100",
  "status": "succeeded",
  "liveMode": "false",
  "createdAt": "2023-11-20T10:23:36.515Z",
  "updatedAt": "2024-01-23T09:57:04.846Z",
  "entityType": "order",
  "entityId": "61dd0fe9c077f73e67f78803",
  "entitySource": "{ type: \"funnel\", id: \"BDBMEghdIUaqMPEsK349\", subType: \"two_step_order_form\", name: \"new funnel\" }",
  "chargeId": "in_1KGcXDCScnf89tZohCsmImwE",
  "chargeSnapshot": "{ id: \"in_1KGcXDCScnf89tZohCsmImwE\", object: \"invoice\", account_country: \"US\",  account_name:  \"GHL-Testing\" }",
  "invoiceId": "in_1KGcXDCScnf89tZohCsmImwE",
  "subscriptionId": "sub_1KGcXDCScnf89tZoVkoEMCEL",
  "paymentProvider": "{ type: \"stripe\", connectedAccount: { _id: \"612ca676b484b241fef9d962\", accountId: \"acct_1Ihw53CScnf89tZo\" } }",
  "ipAddress": "107.178.194.224",
  "meta": "{ stepId: \"af7c731e-e36f-4152-bd1a-3f69a31d6d6d\", pageId: \"A8ltotc2jZxurJba4e3Y\", pageUrl: \"/v2/preview/A8ltotc2jZxurJba4e3Y\" }",
  "markAsTest": "false",
  "isParent": "false",
  "amountRefunded": "10",
  "receiptId": "6492fbea489bc07892c6defb",
  "qboSynced": "false",
  "qboResponse": "{ domain: \"QBO\", sparse: false, Id: \"180\", SyncToken: \"0\", TotalAmt: 25 }",
  "traceId": "d3b16a92-a8ed-4e6b-8467-844750f78ed5",
  "mergedFromContactId": "XPLSw2SVagl12LMDeTmQ",
  "createdBy": "user123"
}
400 - Transaction not found
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/payments/transactions/YOUR_transactionId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?